cls
picem /s servot0.ppm
cls
@echo off
echo.
echo This file will replace the huge Cyber-Demon boss in the
echo REGISTERED verion of DOOM with the new "Tom Servo" demon. 
echo It will not alter DOOM in any way other than replacing this monster.
echo.
echo If you wish to cancel the installation of Servo Doom,
echo hold down the CTRL key and press "C" now, otherwise
pause
echo.
echo    Saving original DOOM Cyber-demon so it can be retrieved later...
echo      (don't worry... if the demon graphics have already been saved, 
echo      I will NOT overwrite them again so that they will be 
echo      intact when we go to retrieve them)
echo.
dmgraph CYBRA1 -e CYBRA1.PPM 
dmgraph CYBRA2 -e CYBRA2.PPM 
dmgraph CYBRA3 -e CYBRA3.PPM 
dmgraph CYBRA4 -e CYBRA4.PPM 
dmgraph CYBRA5 -e CYBRA5.PPM 
dmgraph CYBRA6 -e CYBRA6.PPM 
dmgraph CYBRA7 -e CYBRA7.PPM 
dmgraph CYBRA8 -e CYBRA8.PPM 
dmgraph CYBRB1 -e CYBRB1.PPM
dmgraph CYBRB2 -e CYBRB2.PPM
dmgraph CYBRB3 -e CYBRB3.PPM
dmgraph CYBRB4 -e CYBRB4.PPM
dmgraph CYBRB5 -e CYBRB5.PPM
dmgraph CYBRB6 -e CYBRB6.PPM
dmgraph CYBRB7 -e CYBRB7.PPM
dmgraph CYBRB8 -e CYBRB8.PPM
echo.
echo    Remember, I will not OVERWRITE previous saves of the original
echo    demon files... that keeps the originals safe for when we want
echo    to bring the Cyber-Demon back!
echo.
dmgraph CYBRC1 -e CYBRC1.PPM
dmgraph CYBRC2 -e CYBRC2.PPM
dmgraph CYBRC3 -e CYBRC3.PPM
dmgraph CYBRC4 -e CYBRC4.PPM
dmgraph CYBRC5 -e CYBRC5.PPM
dmgraph CYBRC6 -e CYBRC6.PPM
dmgraph CYBRC7 -e CYBRC7.PPM
dmgraph CYBRC8 -e CYBRC8.PPM
dmgraph CYBRD1 -e CYBRD1.PPM 
dmgraph CYBRD2 -e CYBRD2.PPM 
dmgraph CYBRD3 -e CYBRD3.PPM 
dmgraph CYBRD4 -e CYBRD4.PPM 
dmgraph CYBRD5 -e CYBRD5.PPM 
dmgraph CYBRD6 -e CYBRD6.PPM 
dmgraph CYBRD7 -e CYBRD7.PPM 
dmgraph CYBRD8 -e CYBRD8.PPM 
echo.
echo    "Oh no! Someone hit the 'Plot Contrivance' switch!"
echo                  -Tom Servo - "Time of the Apes"
echo.
dmgraph CYBRE1 -e CYBRE1.PPM 
dmgraph CYBRE2 -e CYBRE2.PPM 
dmgraph CYBRE3 -e CYBRE3.PPM 
dmgraph CYBRE4 -e CYBRE4.PPM 
dmgraph CYBRE5 -e CYBRE5.PPM 
dmgraph CYBRE6 -e CYBRE6.PPM 
dmgraph CYBRE7 -e CYBRE7.PPM 
dmgraph CYBRE8 -e CYBRE8.PPM 
dmgraph CYBRF1 -e CYBRF1.PPM 
dmgraph CYBRF2 -e CYBRF2.PPM 
dmgraph CYBRF3 -e CYBRF3.PPM 
dmgraph CYBRF4 -e CYBRF4.PPM 
dmgraph CYBRF5 -e CYBRF5.PPM 
dmgraph CYBRF6 -e CYBRF6.PPM 
dmgraph CYBRF7 -e CYBRF7.PPM 
dmgraph CYBRF8 -e CYBRF8.PPM 
echo.
echo    "Uh, oh. This isn't good. I've seen good before, 
echo    and this isn't it!"
echo                  -Tom Servo
echo.
dmgraph CYBRG1 -e CYBRG1.PPM 
dmgraph CYBRG2 -e CYBRG2.PPM 
dmgraph CYBRG3 -e CYBRG3.PPM
dmgraph CYBRG4 -e CYBRG4.PPM
dmgraph CYBRG5 -e CYBRG5.PPM
dmgraph CYBRG6 -e CYBRG6.PPM
dmgraph CYBRG7 -e CYBRG7.PPM
dmgraph CYBRG8 -e CYBRG8.PPM
dmgraph CYBRH0 -e CYBRH0.PPM
dmgraph CYBRI0 -e CYBRI0.PPM
dmgraph CYBRJ0 -e CYBRJ0.PPM
dmgraph CYBRK0 -e CYBRK0.PPM
dmgraph CYBRL0 -e CYBRL0.PPM
dmgraph CYBRM0 -e CYBRM0.PPM
dmgraph CYBRN0 -e CYBRN0.PPM
dmgraph CYBRO0 -e CYBRO0.PPM
dmgraph CYBRP0 -e CYBRP0.PPM
echo.
echo    Whew! Original Cyber-demon saved!
echo.
echo    Installing Tom Servo...
echo.
dmgraph CYBRA1 -s SERVOA1.PPM 
dmgraph CYBRA2 -s SERVOA2.PPM 
dmgraph CYBRA3 -s SERVOA3.PPM 
dmgraph CYBRA4 -s SERVOA4.PPM 
dmgraph CYBRA5 -s SERVOA5.PPM 
dmgraph CYBRA6 -s SERVOA6.PPM 
dmgraph CYBRA7 -s SERVOA7.PPM 
dmgraph CYBRA8 -s SERVOA8.PPM 
dmgraph CYBRB1 -s SERVOB1.PPM
dmgraph CYBRB2 -s SERVOB2.PPM
dmgraph CYBRB3 -s SERVOB3.PPM
dmgraph CYBRB4 -s SERVOB4.PPM
dmgraph CYBRB5 -s SERVOB5.PPM
dmgraph CYBRB6 -s SERVOB6.PPM
dmgraph CYBRB7 -s SERVOB7.PPM
dmgraph CYBRB8 -s SERVOB8.PPM
echo.
echo        Movie:  "STOP! AHEAD!!"
echo    Tom Servo:  "I will if a see one roll by..."
echo.
dmgraph CYBRC1 -s SERVOC1.PPM
dmgraph CYBRC2 -s SERVOC2.PPM
dmgraph CYBRC3 -s SERVOC3.PPM
dmgraph CYBRC4 -s SERVOC4.PPM
dmgraph CYBRC5 -s SERVOC5.PPM
dmgraph CYBRC6 -s SERVOC6.PPM
dmgraph CYBRC7 -s SERVOC7.PPM
dmgraph CYBRC8 -s SERVOC8.PPM
dmgraph CYBRD1 -s SERVOD1.PPM 
dmgraph CYBRD2 -s SERVOD2.PPM 
dmgraph CYBRD3 -s SERVOD3.PPM 
dmgraph CYBRD4 -s SERVOD4.PPM 
dmgraph CYBRD5 -s SERVOD5.PPM 
dmgraph CYBRD6 -s SERVOD6.PPM 
dmgraph CYBRD7 -s SERVOD7.PPM 
dmgraph CYBRD8 -s SERVOD8.PPM 
echo.
echo    "Special agents are called in to slow the film down and
echo    grind it to a screeching halt."
echo                  -Tom Servo   "Rocket Attack USA"
echo.
dmgraph CYBRE1 -s SERVOE1.PPM 
dmgraph CYBRE2 -s SERVOE2.PPM 
dmgraph CYBRE3 -s SERVOE3.PPM 
dmgraph CYBRE4 -s SERVOE4.PPM 
dmgraph CYBRE5 -s SERVOE5.PPM 
dmgraph CYBRE6 -s SERVOE6.PPM 
dmgraph CYBRE7 -s SERVOE7.PPM 
dmgraph CYBRE8 -s SERVOE8.PPM 
dmgraph CYBRF1 -s SERVOF1.PPM 
dmgraph CYBRF2 -s SERVOF2.PPM 
dmgraph CYBRF3 -s SERVOF3.PPM 
dmgraph CYBRF4 -s SERVOF4.PPM 
dmgraph CYBRF5 -s SERVOF5.PPM 
dmgraph CYBRF6 -s SERVOF6.PPM 
dmgraph CYBRF7 -s SERVOF7.PPM 
dmgraph CYBRF8 -s SERVOF8.PPM 
echo.
echo    "Help! I've plummeted to my death and I can't get up!"
echo                  -Tom Servo  "Gamera vs. Gaos"
echo.
dmgraph CYBRG1 -s SERVOG1.PPM 
dmgraph CYBRG2 -s SERVOG2.PPM 
dmgraph CYBRG3 -s SERVOG3.PPM
dmgraph CYBRG4 -s SERVOG4.PPM
dmgraph CYBRG5 -s SERVOG5.PPM
dmgraph CYBRG6 -s SERVOG6.PPM
dmgraph CYBRG7 -s SERVOG7.PPM
dmgraph CYBRG8 -s SERVOG8.PPM
dmgraph CYBRH0 -s SERVOH0.PPM
dmgraph CYBRI0 -s SERVOI0.PPM
dmgraph CYBRJ0 -s SERVOJ0.PPM
dmgraph CYBRK0 -s SERVOK0.PPM
dmgraph CYBRL0 -s SERVOL0.PPM
dmgraph CYBRM0 -s SERVOM0.PPM
dmgraph CYBRN0 -s SERVON0.PPM
dmgraph CYBRO0 -s SERVOO0.PPM
dmgraph CYBRP0 -s SERVOP0.PPM
cls
echo.
echo    Tom Servo successfully installed.
echo.
echo    "Bite Me! I'm huge!!"
echo.
echo.
echo Begin DOOM as you normally would, Tom Servo will replace
echo all instances of the huge Cyber-Demon demon.
echo.
echo To restore the Cyber-Demon, type "UnServo"
echo.
echo           Enjoy!!!  
echo.     
echo.
echo Artwork by: Carl Steinhilber
echo Copyright @1994 Westside Whispers BBS  (503) 693-8760  2400bps
echo.
pause
